AbstractPersistence.SQL_ORDER (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.persistence

## Enum AbstractPersistence.SQL_ORDER

- java.lang.Object
- - java.lang.Enum<AbstractPersistence.SQL_ORDER>
  - - org.gcube.portal.trainingmodule.persistence.AbstractPersistence.SQL_ORDER

- All Implemented Interfaces:
    Serializable, Comparable<AbstractPersistence.SQL_ORDER>
  Enclosing class:
    AbstractPersistence<T>

      public static enum AbstractPersistence.SQL_ORDER
      extends Enum<AbstractPersistence.SQL_ORDER>

  The Enum SQL_ORDER.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Feb 19, 2015

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASC` The asc.
    `DESC` The desc.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractPersistence.SQL_ORDER` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractPersistence.SQL_ORDER[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASC

          public static final AbstractPersistence.SQL_ORDER ASC

      The asc.

    - #### DESC

          public static final AbstractPersistence.SQL_ORDER DESC

      The desc.

  - ### Method Detail

    - #### values

          public static AbstractPersistence.SQL_ORDER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractPersistence.SQL_ORDER c : AbstractPersistence.SQL_ORDER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractPersistence.SQL_ORDER valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All Rights Reserved.